Subject: (NAT) Re: Re draft-ietf-nat-interface-framework-02.txt

From: Pyda Srisuresh <[email-masked]>
Date: Thu, 5 Apr 2001 20:24:20 -0700 (PDT)

--- John Border <[email-masked]> wrote:
> 
> I internally debated whether or not to CC MIDCOM re this comment.  In the
> end,
> I decided it might be premature since MIDCOM is still in the requirements
> gathering phase...
> 
> Re Section 4.1.2 (of draft-ietf-nat-interface-framework-02.txt)...
> 
>     For service_register_agent...  It seems like there should also be a
> return
> value for an UNAUTHORIZED request.  Even if there is an implicit assumption
> that authentication occurs prior to trying to register, an agent might try to
> register without doing first authenticating (either maliciously or due to an
> implementation or policy error).  Or, did you have in mind that (because of
> the malicious possibility) that an unauthenticated attempt to register should
> be silently discarded?
> 

I agree, UNAUTHORIZED request is a valid error case. I will include 
this in the next rev.(to be sent out shortly in a few days). Thanks.

> John

cheers,
suresh

=====

__________________________________________________
Do You Yahoo!?
Get email at your own domain with Yahoo! Mail. 
http://personal.mail.yahoo.com/
-
To unsubscribe, email [email-masked]' with
'unsubscribe nat' in the body of the message.
List archive: <URL:http://www.portmasters.com/archives/>